### Interface

# Phosh MMDBusModemModem3gpp

since: 0

#### Description [src]

    interface Phosh.MMDBusModemModem3gpp : GObject.Object

Abstract interface type for the D-Bus interface org.freedesktop.ModemManager1.Modem.Modem3gpp.

Available since: 0

#### Prerequisite

In order to implement MMDBusModemModem3gpp, your type must inherit from`GObject`.

#### Implementations

- PhoshMMDBusModemModem3gppProxy
- PhoshMMDBusModemModem3gppSkeleton

#### Functions

###### phosh_mm_dbus_modem_modem3gpp_interface_info

Gets a machine-readable description of the org.freedesktop.ModemManager1.Modem.Modem3gpp D-Bus interface.

since: 0

###### phosh_mm_dbus_modem_modem3gpp_override_properties

Overrides all `GObject` properties in the `PhoshMMDBusModemModem3gpp` interface for a concrete class. The properties are overridden in the order they are defined.

since: 0

#### Instance methods

###### phosh_mm_dbus_modem_modem3gpp_dup_operator_name

Gets a copy of the “OperatorName” D-Bus property.

since: 0

###### phosh_mm_dbus_modem_modem3gpp_get_operator_name

Gets the value of the “OperatorName” D-Bus property.

since: 0

###### phosh_mm_dbus_modem_modem3gpp_set_operator_name

Sets the “OperatorName” D-Bus property to `value`.

since: 0

#### Properties

###### Phosh.MMDBusModemModem3gpp:operator-name

Represents the D-Bus property “OperatorName”.

since: 0

#### Interface structure

    struct PhoshMMDBusModemModem3gppIface {
      GTypeInterface parent_iface;
      const gchar* (* get_operator_name) (
        PhoshMMDBusModemModem3gpp* object
      );

    }

Virtual table for the D-Bus interface org.freedesktop.ModemManager1.Modem.Modem3gpp.

###### Interface members

`parent_iface`

    GTypeInterface

| The parent interface.

`get_operator_name`

    const gchar* (* get_operator_name) (
        PhoshMMDBusModemModem3gpp* object
      )

| Getter for the `PhoshMMDBusModemModem3gpp:operator-name` property.

#### Virtual methods

###### Phosh.MMDBusModemModem3gpp.get_operator_name

Gets the value of the “OperatorName” D-Bus property.

since: 0